from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from re import compile as re_compile
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('tests/dictionaries/../eosfunc/test.py')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
dict_env['validators_1.rougail.ip_address'] = "{% if not _.ip_address | valid_in_network(_.network_address_eth0, _.netmask_address_eth0) %}\n{{ _.ip_address }} is not in network {{ _.network_address_eth0 }}/{{ _.netmask_address_eth0 }}\n{% endif %}\n"
dict_env['validators_2.rougail.ip_address'] = "{% if not _.ip_address | valid_in_network(_.network_address_eth0, _.netmask_address_eth0) %}\n{{ _.ip_address }} is not in network {{ _.network_address_eth0 }}/{{ _.netmask_address_eth0 }}\n{% endif %}\n"
option_3 = NetworkOption(name="network_address_eth0", doc="Network address", properties=frozenset({"basic", "mandatory"}), informations={'type': 'network'})
option_4 = NetmaskOption(name="netmask_address_eth0", doc="Network address", properties=frozenset({"basic", "mandatory"}), informations={'type': 'netmask'})
option_5 = IPOption(name="ip_address", doc="an IP", validators=[Calculation(func['valid_with_jinja'], Params((), kwargs={'__internal_jinja': ParamValue("validators_1.rougail.ip_address"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), '_.ip_address': ParamSelfOption(whole=False), '_.netmask_address_eth0': ParamOption(option_4), '_.network_address_eth0': ParamOption(option_3)}))], allow_reserved=True, properties=frozenset({"basic", "mandatory"}), informations={'type': 'ip'})
optiondescription_2 = OptionDescription(name="rougail", doc="Rougail", children=[option_3, option_4, option_5], properties=frozenset({"basic"}))
optiondescription_1 = OptionDescription(name="1", doc="1", children=[optiondescription_2], properties=frozenset({"basic"}))
option_8 = NetworkOption(name="network_address_eth0", doc="Network address", properties=frozenset({"basic", "mandatory"}), informations={'type': 'network'})
option_9 = NetmaskOption(name="netmask_address_eth0", doc="Network address", properties=frozenset({"basic", "mandatory"}), informations={'type': 'netmask'})
option_10 = IPOption(name="ip_address", doc="an IP", validators=[Calculation(func['valid_with_jinja'], Params((), kwargs={'__internal_jinja': ParamValue("validators_2.rougail.ip_address"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), '_.ip_address': ParamSelfOption(whole=False), '_.netmask_address_eth0': ParamOption(option_9), '_.network_address_eth0': ParamOption(option_8)}))], allow_reserved=True, properties=frozenset({"basic", "mandatory"}), informations={'type': 'ip'})
optiondescription_7 = OptionDescription(name="rougail", doc="Rougail", children=[option_8, option_9, option_10], properties=frozenset({"basic"}))
optiondescription_6 = OptionDescription(name="2", doc="2", children=[optiondescription_7], properties=frozenset({"basic"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1, optiondescription_6])
